package ink.wgink.pojo.bos;

import java.io.Serializable;

/**
 * @ClassName: LoginAppUser
 * @Description: APP登录用户
 * @Author: wanggeng
 * @Date: 2021/7/6 8:25 下午
 * @Version: 1.0
 */
public class LoginAppUser implements Serializable {

    private static final long serialVersionUID = 6055209589041482660L;

    private String userId;
    private String userUsername;
    private String userPassword;
    private String userName;
    private String userPhone;
    private String userEmail;
    private String userUKey;
    private Integer userType;
    private Integer userState;
    private String userExpiredDate;
    private String userAvatar;
    private String lastLoginAddress;
    private String lastLoginTime;
    private String userLongitude;
    private String userLatitude;
    private Integer loginType;
    private String gmtPasswordModified;
    private String gmtCreate;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserUsername() {
        return userUsername;
    }

    public void setUserUsername(String userUsername) {
        this.userUsername = userUsername;
    }

    public String getUserPassword() {
        return userPassword;
    }

    public void setUserPassword(String userPassword) {
        this.userPassword = userPassword;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public String getUserEmail() {
        return userEmail;
    }

    public void setUserEmail(String userEmail) {
        this.userEmail = userEmail;
    }

    public String getUserUKey() {
        return userUKey;
    }

    public void setUserUKey(String userUKey) {
        this.userUKey = userUKey;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public Integer getUserState() {
        return userState;
    }

    public void setUserState(Integer userState) {
        this.userState = userState;
    }

    public String getUserExpiredDate() {
        return userExpiredDate;
    }

    public void setUserExpiredDate(String userExpiredDate) {
        this.userExpiredDate = userExpiredDate;
    }

    public String getUserAvatar() {
        return userAvatar;
    }

    public void setUserAvatar(String userAvatar) {
        this.userAvatar = userAvatar;
    }

    public String getLastLoginAddress() {
        return lastLoginAddress;
    }

    public void setLastLoginAddress(String lastLoginAddress) {
        this.lastLoginAddress = lastLoginAddress;
    }

    public String getLastLoginTime() {
        return lastLoginTime;
    }

    public void setLastLoginTime(String lastLoginTime) {
        this.lastLoginTime = lastLoginTime;
    }

    public String getUserLongitude() {
        return userLongitude;
    }

    public void setUserLongitude(String userLongitude) {
        this.userLongitude = userLongitude;
    }

    public String getUserLatitude() {
        return userLatitude;
    }

    public void setUserLatitude(String userLatitude) {
        this.userLatitude = userLatitude;
    }

    public Integer getLoginType() {
        return loginType;
    }

    public void setLoginType(Integer loginType) {
        this.loginType = loginType;
    }

    public String getGmtPasswordModified() {
        return gmtPasswordModified;
    }

    public void setGmtPasswordModified(String gmtPasswordModified) {
        this.gmtPasswordModified = gmtPasswordModified;
    }

    public String getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"userId\":\"")
                .append(userId).append('\"');
        sb.append(",\"userUsername\":\"")
                .append(userUsername).append('\"');
        sb.append(",\"userPassword\":\"")
                .append(userPassword).append('\"');
        sb.append(",\"userName\":\"")
                .append(userName).append('\"');
        sb.append(",\"userPhone\":\"")
                .append(userPhone).append('\"');
        sb.append(",\"userEmail\":\"")
                .append(userEmail).append('\"');
        sb.append(",\"userUKey\":\"")
                .append(userUKey).append('\"');
        sb.append(",\"userType\":")
                .append(userType);
        sb.append(",\"userState\":")
                .append(userState);
        sb.append(",\"userExpiredDate\":\"")
                .append(userExpiredDate).append('\"');
        sb.append(",\"userAvatar\":\"")
                .append(userAvatar).append('\"');
        sb.append(",\"lastLoginAddress\":\"")
                .append(lastLoginAddress).append('\"');
        sb.append(",\"lastLoginTime\":\"")
                .append(lastLoginTime).append('\"');
        sb.append(",\"userLongitude\":\"")
                .append(userLongitude).append('\"');
        sb.append(",\"userLatitude\":\"")
                .append(userLatitude).append('\"');
        sb.append(",\"loginType\":")
                .append(loginType);
        sb.append(",\"gmtPasswordModified\":\"")
                .append(gmtPasswordModified).append('\"');
        sb.append(",\"gmtCreate\":\"")
                .append(gmtCreate).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
